use std::fmt;
use std::any::Any;
use std::future::Future;

use super::api_capnp::machines::Client;

use super::machine::Machine;

pub struct Machines {
    inner: Client,
}
impl fmt::Debug for Machines {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        f.debug_struct("Machines")
            .field("inner", &self.inner.type_id())
            .finish()
    }
}

impl Machines {
    pub fn new(inner: Client) -> Self {
        Self { inner }
    }

    pub fn get_machine(&mut self, uuid: String) -> impl Future<Output=Option<Machine>> {
        futures::future::ready(None)
    }
}
